fsck.zfs(8)

NAME
fsck.zfs - Dummy ZFS filesystem checker.

SYNOPSIS

fsck.zfs [options] <dataset>

DESCRIPTION

fsck.zfs is a shell stub that does nothing and always returns true. It is installed by ZoL because some Linux distributions expect a fsck helper for all filesystems.

OPTIONS

All options and the dataset are ignored.

NOTES

ZFS datasets are checked by running zpool scrub on the containing pool. An individual ZFS dataset is never checked independently of its pool, which is unlike a regular filesystem.

BUGS

On some systems, if the dataset is in a degraded pool, then it might be appropriate for fsck.zfs to return exit code 4 to indicate an uncorrected filesystem error.

Similarly, if the dataset is in a faulted pool and has a legacy /etc/fstab record, then fsck.zfs should return exit code 8 to indicate a fatal operational error.

AUTHORS

Darik Horn <dajhorn@vanadac.com>.

SEE ALSO
fsck(8), fstab(5), zpool-scrub(8)